function wholerange(this)
%WHOLERANGE   Spectrum calculated over the whole Nyquist interval.
%   WHOLERANGE(h) converts the power spectrum, in the object h, to a
%   spectrum calculated over the whole Nyquist interval.  The relevant
%   properties such as, Frequencies and SpectrumRange, are modified to
%   reflect the new frequency range.
%
%   See also DSPDATA/HALFRANGE, DSPDATA/CENTERDC, DSPDATA/NORMALIZEFREQ,
%   DSPDATA/PLOT, DSPDATA/PSEUDOSPECTRUM.

%   Author(s): P. Pacheco
%   Copyright 1988-2003 The MathWorks, Inc.
%   $Revision: 1.1.6.2 $  $Date: 2004/04/13 00:01:08 $ 

% Help for the WHOLERANGE method.

% [EOF]
