function hopts = msspectrumopts(this,x)
%MSSPECTRUMOPTS   Create an options object for a spectrum object.
%   OPTS = MSSPECTRUMOPTS(Hs) uses the current settings in the spectrum
%   object Hs to create an options object OPTS that contains the options
%   for the spectrum object. The OPTS object can be passed in as an
%   argument to the MSSPECTRUM method.
%
%   OPTS = MSSPECTRUMOPTS(Hs,x) specifies the data, so that data specific
%   defaults will be returned.
%
%   See also SPECTRUM/MSSPECTRUM, SPECTRUM/PSDOPTS, SPECTRUM/PSEUDOSPECTRUMOPTS,
%   SPECTRUM/PERIODOGRAM, SPECTRUM/WELCH.

%   Author(s): P. Pacheco
%   Copyright 1988-2004 The MathWorks, Inc.
%   $Revision: 1.1.6.2 $  $Date: 2004/04/13 00:18:28 $

% Help for the MSSPECTRUMOPTS method.

% [EOF]
