function hopts = psdopts(this,x)
%PSDOPTS   Create an options object for a spectrum object.
%   OPTS = PSDOPTS(Hs) uses the current settings in the spectrum object Hs
%   to create an options object OPTS that contains the options for the
%   spectrum object. The OPTS object can be passed in as an argument to the
%   PSD method.
%
%   OPTS = PSDOPTS(Hs,x) specifies the data, so that data specific defaults
%   will be returned.
%
%   See also SPECTRUM/PSD, SPECTRUM/MSSPECTRUMOPTS,
%   SPECTRUM/PSEUDOSPECTRUMOPTS, SPECTRUM/PERIODOGRAM, SPECTRUM/WELCH.

%   Author(s): P. Pacheco
%   Copyright 1988-2003 The MathWorks, Inc.
%   $Revision: 1.1.6.1 $  $Date: 2004/01/25 23:09:26 $

% Help for the PSDOPTS method.

% [EOF]
