function hopts = pseudospectrumopts(this,x)
%PSEUDOSPECTRUMOPTS   Create an options object for a spectrum object.
%   Hopts = PSEUDOSPECTRUMOPTS(Hs) uses the current settings in the spectrum
%   object Hs to create an options object Hopts that contains the options
%   for the spectrum object. The Hopts object can be passed in as an
%   argument to the PSEUDOSPECTRUM method.
%
%   Hopts = PSEUDOSPECTRUMOPTS(Hs,x) specifies the data, so that data
%   specific defaults will be returned.
%
%   See also SPECTRUM/PSEUDOSPECTRUM, SPECTRUM/MUSIC, SPECTRUM/EIGENVECTOR.

%   Author(s): P. Pacheco
%   Copyright 1988-2003 The MathWorks, Inc.
%   $Revision: 1.1.6.1 $  $Date: 2004/01/25 23:09:28 $

% Help for the PSEUDOSPECTRUMOPTS method.

% [EOF]
