function prefspanel
%PREFSPANEL Registers a Signal Processing Toolbox preferences control panel.
%   PREFSPANEL registers a Preferences Control panel with the MATLAB IDE.

%   Author: P. Costa
%   Copyright 1988-2003 The MathWorks, Inc.
%   $Revision: 1.12.4.2 $  $Date: 2004/04/13 00:18:18 $

% Register Object-based Context menus items in the Workspace Browser.

%   Methods of MatlabObjectMenuRegistry are unsupported.  Calls to these
%   methods will become errors in future releases.

% subclassnames = findnonabstractsubclasses('dfilt','dfilt');
subclassnames = {'dfilt.calatticepc'; ...
    'dfilt.calattice'; ...
    'dfilt.coupledallpass'; ...
    'dfilt.df1'; ...
    'dfilt.df1sos'; ...
    'dfilt.df1t'; ...
    'dfilt.df1tsos'; ...
    'dfilt.df2'; ...
    'dfilt.df2sos'; ...
    'dfilt.df2t'; ...
    'dfilt.df2tsos'; ...
    'dfilt.dfasymfir'; ...
    'dfilt.dffirt'; ...
    'dfilt.dfsymfir'; ...
    'dfilt.dffir'; ...
    'dfilt.dtf'; ...
    'dfilt.dtffir'; ...
    'dfilt.latticeallpass'; ...
    'dfilt.latticearma'; ...
    'dfilt.latticear'; ...
    'dfilt.latticemamax'; ...
    'dfilt.latticemamin'; ...
    'dfilt.nonrecursive'; ...
    'dfilt.fir'; ...
    'dfilt.parallel'; ...
    'dfilt.cascade'; ...
    'dfilt.statespace'};

com.mathworks.mlwidgets.workspace.MatlabCustomClassRegistry.registerClassCallbacks(...
    subclassnames,...
    'Analyze',...
    {'Magnitude Response',...
     'Phase Response',...
     'Magnitude and Phase Response',...
     'Group Delay',...
     'Impulse Response',...
     'Step Response',...
     'Pole/Zero Plot',...
     'Filter Coefficients',...
     'Filter Information'},...
    {'fvtool($1);',...
     'fvtool($1,''phase'');',...
     'fvtool($1,''freq'');',...
     'fvtool($1,''grpdelay'');',...
     'fvtool($1,''impulse'');',...
     'fvtool($1,''step'');',...
     'fvtool($1,''polezero'');',...
     'fvtool($1,''coefficients'');',...
     'fvtool($1,''info'');'});

[winclassnames, winnames] = findallwinclasses;

for idx=1:length(winclassnames),
    winclassnames{idx} = ['sigwin.' winclassnames{idx}];
end

com.mathworks.mlwidgets.workspace.MatlabCustomClassRegistry.registerClassCallbacks(...
    winclassnames,...
    'Analyze',...
    {'Plot'}, ...
    {'wvtool($1);'} );

% [EOF]
