function frequnits = getfrequnitstrs(menuflag)
%GETFREQUNITSTRS Return a cell array of frequency units strings.
%
%   STRS = GETFREQUNITS returns a cell array of standard frequency units 
%   strings.

%   STRS = GETFREQUNITS(MENUFLAG) returns a cell array of frequency units
%   with the "Normalized Frequency" string for use in a uimenu.

%   Author(s): P. Costa
%   Copyright 1988-2002 The MathWorks, Inc.
%   $Revision: 1.5 $  $Date: 2002/06/17 12:57:32 $

frequnits = {'Normalized Frequency  (\times\pi rad/sample)',...
            'Frequency (Hz)',...
            'Frequency (kHz)',...
            'Frequency (MHz)',...
            'Frequency (GHz)',...
            'Frequency (THz)',...
            'Frequency (PHz)',...
            'Frequency (EHz)',...
            'Frequency (aHz)',...
            'Frequency (fHz)',...
            'Frequency (pHz)',...
            'Frequency (\muHz)',...
            'Frequency (mHz)'};

% Return the proper version of the Normalized Frequency string
% for the X-axis label or menu item.
if nargin == 1,
    frequnits{1} = 'Normalized Frequency';
end

% [EOF]
