function hedit = render_spteditmenu(hFig)
%RENDER_SPTEDITMENU Render a Signal Processing Toolbox "Edit" menu.
%   HEDIT = RENDER_SPTEDITMENU(HFIG) creates a "Edit" menu in the second position
%   on a figure whose handle is HFIG and return the handles to all the menu items.

%   Author(s): V.Pellissier
%   Copyright 1988-2002 The MathWorks, Inc.
%   $Revision: 1.2 $  $Date: 2002/04/14 23:52:58 $ 

strs = {'&Edit', ...
    'Copy &Figure', ...
    'Copy &Options...', ...
    'F&igure Properties...', ...
    '&Axes Properties...', ...
    'C&urrent Object Properties...'};

cbs = {'', ...
    'editmenufcn(gcbf,''EditCopyFigure'')', ...
    'preferences(''Figure Copy Template.Copy Options'')', ...
    'domymenu menubar figureprop', ...
    'domymenu menubar axesprop', ...
    'domymenu menubar currentprop'};

tags = {'edit', ...
    '                           ', ...
    '                           ', ...
    'figMenuEditGCF', ...
    'figMenuEditGCA', ...
    'figMenuEditGCO'};

sep = {'off', ...
    'off', ...
    'off', ...
    'on', ...
    'off', ...
    'off'};

accel = {'', ...
    '', ...
    '', ...
    '', ...
    '', ...
    ''};

hedit = addmenu(hFig,2,strs,cbs,tags,sep,accel);

% [EOF]
